// Package abstract ...
//
// Description : abstract ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-08-20 17:17
package abstract

import (
	"context"
)

// IManager 接口 => sql 数据管理实例约束
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 17:17 2024/8/20
type IManager interface {
	// SetDatabaseClient 设置数据库连接的客户端
	SetDatabaseClient(database IWrapperClient)
	// Execute 执行
	Execute(ctx context.Context, databaseFlag string) (any, error)
}
